Subject: XLBR (Byx) Chinese WP software

From: Yuan Jiang <[email-masked]>
Date: Mon, 8 Oct 90 14:56:20 EDT

Had another chance to try out XLBR (Byx) 2.0.

It consists of 3 parts, editor (Byx), text formatter and printer driver (Lsp),
and publishing (chtroff from ch-series).  I only saw Byx last time.

Byx is basically an extended Chinese version of Emacs, a popular text editor.
It has the most important word processing functions, such as cut (copy) and
paste, search and replace.  It has several input modes.  The most noticed one
is called "zhuan3yin1" method, which I talked about last time.  With it you can
type in a piece (block) of PinYin phrase (with tone or without) of any length.
This block is converted into Chinese only when you type in a punctuation, space
or return.  It converts with amazing speed and accuracy.  If you see any
character is converted incorrect you can move the cursor to this word and the
homonyms will be displayed in the last line of the screen so that you can pick
the right one.  So far so good.  But if you've passed the block and want to go
back to correct one character, the corresponding PinYin and homonyms are not
shown, and you have to delete that character and type in the PinYin and a space
and choose the right character among the list of homonyms.  This is time
consuming.  It encourages you to make corrections right after the block is
converted.  But when you write you don't want to stop at the commas and wish to
complete the thought train before you go back to make the corrections.  One
solution is that you type a big block as long as your thought train goes
without punctuations, and then go back to put in the punctuations and make
corrections.  But the ultimate solution should add a function in the software:
within a keystroke reach the user can have the PinYin and homonyms of the
incorrect character appear so that he can make correction easily.

Lsp is the text formatter and printer driver.  Unlike the text formatting in
most English WPs it's more like the one with TeX: you insert the formatting
codes, such as \font 4, \center, \column 2, \leftmargin 2, and etc., in the
text.  The define text is enclosed in {}.  This way the formatter can be very
flexible and powerful.  There is no non-ASCII or non-GB code in your file (most
WPs use non-ASCII control codes for text formatting.)  The fonts are not the
best but good enough for many purposes.  Many people believe they are better
than the TianMa fonts.  I like BrushWriter's fonts better.

I did not test the Chtroff part.

General impression: the best input method around, clean and concise editing
command and text formatting commands sets with enough power.  Unlike other
Chinese softwares, XLBR is very good in keeping up with the professional
standard of American softwares, except its marketing techniques.  The manual
and online help are very clear and adequate.  The software setup is
semi-automatic (you just have to type in "xsetup", give answers the setup
questions and change the autoexec.bat and config.sys files.)  The authors
intent to work more on the ease of use side: writing WYSIWYG versions for Mac's
and MS Windows, and to improve the fonts.

So far I've not seen much marketing effort for XLBR.  It only has an ad on
China Spring (inside of back cover.)  I believe the XLBR deserves better
promotion.  The Elementary version is good for regular home and office use.
The Enhanced version can be used for newsletters.  Here is the ordering
information from the ad:

Elementary Package: Byx 2.0 and Lsp 2.0 with SongTi 16x16(16), 24, 40 fonts for
simplified character set and 24 font for traditional characters.  $69 + S&H($5
for 360KB disks, and $3 for others.)  Add $5 tax for California residents.

Enhanced Package: Byx 2.0A and Lsp 2.0A (add features such as, macros, alias
dictionary, and keyboard remapping) and Chtroff 2.0 with PostScipt support (can
scale fonts.)  FangSongTi 24, 40, 48, 56 and 64 simplified character fonts, and
16 simplified and 24 traditional SongTi fonts.  $159 + S&H($8 for 360KB, and $5
for others.)  Add $11.53 tax for California residents.

Mail your order to
P.O.Box 8012
Berkeley, CA  94707

(415)526-2576 (west coast) or (617)424-1592 (east coast)

Write your check payable to YONGXIN SOFTWARE.

Please specify the type of floppy disk of your order.